import unittest
from Counter import Counter

class CounterTestCase(unittest.TestCase):
  def setUp(self):
    self.counter = Counter()

  def testNextCount(self):
    self.assertEqual(0, self.counter.nextCount())
    self.assertEqual(1, self.counter.nextCount())
    self.assertEqual(2, self.counter.nextCount())
    self.assertEqual(3, self.counter.nextCount())
    
if __name__ == "__main__":
  unittest.main()
